OGRE: Ogre::LodConfig Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodConfig Struct Reference
Optional Components » MeshLodGenerator

`#include <OgreLodConfig.h>`

## Classes
struct | Advanced

## Public Types
typedef std::vector< LodLevel > | LodLevelList
| Lod strategy to use.

## Public Member Functions
| LodConfig ()
| LodConfig (MeshPtr &_mesh, LodStrategy *_strategy=DistanceLodBoxStrategy::getSingletonPtr())
| Info about Lod levels.
void | createGeneratedLodLevel (Ogre::Real distance, Real reductionValue, LodLevel::VertexReductionMethod reductionMethod=LodLevel::VRM_PROPORTIONAL)
void | createManualLodLevel (Ogre::Real distance, const String &manualMeshName)

## Public Attributes
struct _OgreLodExport Ogre::LodConfig::Advanced | advanced
LodLevelList | levels
MeshPtr | mesh
LodStrategy * | strategy
| The mesh which we want to reduce.

## Member Typedef Documentation

## ◆ LodLevelList

typedef std::vector<LodLevel> Ogre::LodConfig::LodLevelList

Lod strategy to use.

## Constructor & Destructor Documentation

## ◆ LodConfig() [1/2]

Ogre::LodConfig::LodConfig | ( | MeshPtr & | _mesh,
|  | LodStrategy * | _strategy = DistanceLodBoxStrategy::getSingletonPtr() )

Info about Lod levels.

References Ogre::DistanceLodBoxStrategy::getSingletonPtr().

## ◆ LodConfig() [2/2]

Ogre::LodConfig::LodConfig | ( |  | ) |

## Member Function Documentation

## ◆ createManualLodLevel()

void Ogre::LodConfig::createManualLodLevel | ( | Ogre::Real | distance,
|  | const String & | manualMeshName )

## ◆ createGeneratedLodLevel()

void Ogre::LodConfig::createGeneratedLodLevel | ( | Ogre::Real | distance,
|  | Real | reductionValue,
|  | LodLevel::VertexReductionMethod | reductionMethod = LodLevel::VRM_PROPORTIONAL )

References Ogre::LodLevel::VRM_PROPORTIONAL.

## Member Data Documentation

## ◆ mesh

MeshPtr Ogre::LodConfig::mesh

## ◆ strategy

LodStrategy* Ogre::LodConfig::strategy

The mesh which we want to reduce.

## ◆ levels

LodLevelList Ogre::LodConfig::levels

## ◆ advanced

struct _OgreLodExport Ogre::LodConfig::Advanced Ogre::LodConfig::advanced

The documentation for this struct was generated from the following file:

- OgreLodConfig.h